/*
 * Copyright 2024 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.tig;

public class Arg {
	public static enum DataType { Byte, Word, LongWord, QuadWord, F_Float, D_Float, G_Float, S_Float, T_Float, FixedCharacterString, VariableCharacterString, NullTermCharacterString, Block } 
	public static enum PassMech { Value, Reference, Descriptor } 
	public static enum Usage { In, Out, InOut } 
	private String name;
	private DataType type;
	private PassMech pass;
	private Usage use;
	private String impl;
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public DataType getType() {
		return type;
	}
	public void setType(DataType type) {
		this.type = type;
	}
	public PassMech getPass() {
		return pass;
	}
	public void setPass(PassMech pass) {
		this.pass = pass;
	}
	public Usage getUse() {
		return use;
	}
	public void setUse(Usage use) {
		this.use = use;
	}
	public String getImpl() {
		return impl;
	}
	public void setImpl(String impl) {
		this.impl = impl;
	}
}
